#version 330 core
#define PI 3.1415926535897932384626433832795
out vec4 FragColor;


in vec3 FragPos;  
in vec4 gl_FragCoord ;

uniform float time;

void main()
{    
	float r = sin(time);
	float g = sin(time + (PI/2));
	float b = sin(time + PI);

	vec3 color = (vec3(r,g,b) + vec3(2)) / 2;

    FragColor = vec4(color,1);	
}