#version 330 core
out vec4 FragColor;

in vec3 TexCoords;

uniform samplerCube skybox;
uniform bool textureEnabled = true;

void main()
{    
	vec4 color;
	if (textureEnabled)
		color = texture(skybox, TexCoords);
	else
		color = vec4(0.5f, 0.5f, 0.5f, 1);
    FragColor = color;
}