

// Define input layout
layout(location = 0) in vec2 InPos;

uniform vec2 BasePos;
uniform vec2 Size;

out vec2 UV;

void main()
{
	UV = InPos;
	UV.x *= 0.1;
	UV.y = 1.0f - UV.y;

	gl_Position = vec4(2 * (InPos*Size + BasePos) - 1,-1,1);
}