

// Define input layout
layout(location = 0) in vec3 InPos;
layout(location = 1) in vec3 InNormal;
layout(location = 2) in vec2 InUV;

// Define uniforms
uniform mat4 World;
uniform mat4 View;
uniform mat4 Proj;
uniform mat4 PVW;

void main()
{
	gl_Position = PVW*vec4(InPos,1.0f);
}